%define debug_package	%{nil}
%define	Objects_Home	/lime-kernel-objects-%{version}
%define	DIST		%(echo %{dist} | sed 's/\.//')
%define BaseName	lime-kernel-modules
%define ARCH		%(uname -m)
%define _binaries_in_noarch_packages_terminate_build 0

Summary:	This package contains all of the kernel objects for all of the kernels for Fedora 20 i686 for LiME

Packager:	Lawrence R. Rogers (lrr@cert.org)

Vendor:		cert.org
Name:		%{BaseName}-%{DIST}-%{ARCH}
Version:	1.1.r17
%define REL 31
Release:	%{REL}

License:	GPL

Group:		Applications/Forensics Tools
URL:		https://code.google.com/p/lime-forensics/
Source:		lime-forensics-%{version}.tar.gz

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version}
BuildArch:	noarch

%description
This package provides kernel objects for Fedora 20 i686-based systems.

%prep
%setup -T -c

%build

%install
%{__install} -d %{buildroot}%{_datadir}/%{BaseName}-%{version}
cp -rp %{Objects_Home}/*%{DIST}.*%{ARCH}* %{buildroot}%{_datadir}/%{BaseName}-%{version}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%attr(744, root, root)	%{_datadir}/%{BaseName}-%{version}/*/*.ko

%changelog
* Tue Apr 28 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-31
* Release 1.1.r17-31
	Kernel modules were added for the following kernels:
		3.19.5-100

* Thu Apr 23 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-30
* Release 1.1.r17-30
	Kernel modules were added for the following kernels:
		3.19.4-100

* Wed Apr  8 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-29
* Release 1.1.r17-29
	Kernel modules were added for the following kernels:
		3.19.3-100

* Mon Mar 16 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-28
* Release 1.1.r17-28
	Kernel modules were added for the following kernels:
		3.18.9-100

* Wed Feb 18 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-27
* Release 1.1.r17-27
	Kernel modules were added for the following kernels:
		3.18.7-100

* Sun Feb 15 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-26
* Release 1.1.r17-26
	Kernel modules were added for the following kernels:
		3.18.6-100

* Sun Feb  8 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-25
* Release 1.1.r17-25
	Kernel modules were added for the following kernels:
		3.18.5-101

* Fri Jan 16 2015 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-24
* Release 1.1.r17-24
	Kernel modules were added for the following kernels:
		3.17.8-200

* Sun Dec 21 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-23
* Release 1.1.r17-23
	Kernel modules were added for the following kernels:
		3.17.7-200

* Sun Dec 14 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-22
* Release 1.1.r17-22
	Kernel modules were added for the following kernels:
		3.17.6-200

* Tue Dec  9 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-21
* Release 1.1.r17-21
	Rebuilt all kernel modules by specifying the correct KVER value.

* Tue Dec  2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-20
* Release 1.1.r17-20
	Kernel modules were added for the following kernels:
		3.17.4-200

* Fri Nov 21 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-19
* Release 1.1.r17-19
	Kernel modules were added for the following kernels:
		3.17.3-200

* Wed Nov 12 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-18
* Release 1.1.r17-18
	Kernel modules were added for the following kernels:
		3.17.2-200

* Wed Nov  5 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-17
* Release 1.1.r17-17
	Kernel modules were added for the following kernels:
		3.16.7-200

* Tue Oct 28 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-16
* Release 1.1.r17-16
	Kernel modules were added for the following kernels:
		3.16.6-203

* Sat Oct 18 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-15
* Release 1.1.r17-15
	Kernel modules were added for the following kernels:
		3.16.6-200

* Mon Oct 13 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-14
* Release 1.1.r17-14
	Kernel modules were added for the following kernels:
		3.16.4-200

* Fri Sep 26 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-13
* Release 1.1.r17-13
	Kernel modules were added for the following kernels:
		3.16.3-200

* Tue Sep 23 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-12
* Release 1.1.r17-12
	Kernel modules were added for the following kernels:
		3.16.2-201

* Mon Sep 15 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-11
* Release 1.1.r17-11
	Kernel modules were added for the following kernels:
		3.16.2-200

* Tue Sep  2 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-10
* Release 1.1.r17-10
	Kernel modules were added for the following kernels:
		3.15.10-201

* Sun Aug 17 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-9
* Release 1.1.r17-9
	Kernel modules were added for the following kernels:
		3.15.9-200
		3.15.10-200

* Fri Aug 08 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-8
* Release 1.1.r17-8
	Kernel modules were added for the following kernels:
		3.15.8-200

* Wed Aug 06 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-7
* Release 1.1.r17-7
	Kernel modules were added for the following kernels:
		3.15.7-200

* Tue Jul 22 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-6
* Release 1.1.r17-6
	Kernel modules were added for the following kernels:
		3.15.5-200
		3.15.6-200

* Mon Jul 14 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-5
* Release 1.1.r17-5
	Kernel modules were added for the following kernels:
		3.15.4-200
		3.15.3-200

* Tue Jul 01 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-4
* Release 1.1.r17-4
	Kernel modules were added for the following kernels:
		3.14.9-200

* Mon Jun 23 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-3
* Release 1.1.r17-3
	Kernel modules were added for the following kernels:
		3.14.8-200
		3.14.6-200

* Fri Jun 06 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-2
* Release 1.1.r17-2
	Kernel modules were added for the following kernels:
		3.14.5-200

* Mon Jun 02 2014 Lawrence R. Rogers <lrr@cert.org> 1.1.r17-1
* Release 1.1.r17-1
	Initial release. Kernel modules were added for the following kernels:
		3.11.10-301  3.11.10-301  3.12.10-300  3.12.10-300  3.12.5-302
		3.12.5-302   3.12.6-300   3.12.6-300   3.12.7-300   3.12.7-300
		3.12.8-300   3.12.8-300   3.12.9-301   3.12.9-301   3.13.10-200
		3.13.10-200  3.13.3-201   3.13.3-201   3.13.4-200   3.13.4-200
		3.13.5-200   3.13.5-200   3.13.5-202   3.13.5-202   3.13.6-200
		3.13.6-200   3.13.7-200   3.13.7-200   3.13.8-200   3.13.8-200
		3.13.9-200   3.13.9-200   3.14.2-200   3.14.2-200   3.14.3-200
		3.14.3-200   3.14.4-200   3.14.4-200
